package be.iminds.ilabt.jfed.experimenter_gui.slice.ribbon_tabs;

import be.iminds.ilabt.jfed.experiment.Experiment;
import be.iminds.ilabt.jfed.experimenter_gui.config.JFedGuiConfig;
import be.iminds.ilabt.jfed.experimenter_gui.slice.ExperimentViewController;
import be.iminds.ilabt.jfed.experimenter_gui.slice.events.*;
import be.iminds.ilabt.jfed.experimenter_gui.ui.ribbon.RibbonButton;
import be.iminds.ilabt.jfed.gui_preferences.HLPreferenceKey;
import be.iminds.ilabt.jfed.gui_preferences.JFedHLPreferences;
import be.iminds.ilabt.jfed.highlevel.model.Slice;
import be.iminds.ilabt.jfed.rspec.model.ModelRspec;
import be.iminds.ilabt.jfed.rspec.rspec_source.ManifestRspecSource;
import com.google.common.eventbus.EventBus;
import javafx.beans.value.ObservableValue;
import javafx.beans.value.ObservableValueBase;
import javafx.fxml.FXML;
import org.reactfx.value.Val;

import java.util.Objects;

public class ExportRibbonComponentGroupController {
    private final SliceRibbonTab sliceRibbonTab;
    private final EventBus eventBus;
    private final JFedGuiConfig config;

    public ExportRibbonComponentGroupController(SliceRibbonTab sliceRibbonTab,
                                                EventBus eventBus,
                                                JFedGuiConfig config) {
        this.sliceRibbonTab = sliceRibbonTab;
        this.eventBus = eventBus;
        this.config = config;
    }

    @FXML
    protected void initialize() {
    }

    @FXML
    public void onSaveExperimentAction() {
        eventBus.post(new SaveExperimentEvent(sliceRibbonTab.getActiveExperimentViewController(), false  /*saveToCSV*/));
    }

    @FXML
    public void onSaveNodeLoginInfoAction() {
        eventBus.post(new SaveExperimentEvent(sliceRibbonTab.getActiveExperimentViewController(), true  /*saveToCSV*/));
    }

    @FXML
    public void onExportAction(){
        eventBus.post(new ExportToolsConfigFilesEvent(sliceRibbonTab.getActiveExperimentViewController()));
    }

    @FXML
    public void onExpInfJsonAction(){
        eventBus.post(new SaveExperimentInfoJsonEvent(sliceRibbonTab.getActiveExperimentViewController()));
    }
}
